# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['hytek_parser',
 'hytek_parser.line_parsers',
 'hytek_parser.line_parsers.csv',
 'hytek_parser.line_parsers.hy3']

package_data = \
{'': ['*']}

install_requires = \
['aenum>=3.1.0,<4.0.0', 'attrs>=21.2.0,<22.0.0', 'loguru>=0.5.3,<0.6.0']

setup_kwargs = {
    'name': 'hytek-parser',
    'version': '1.0.0',
    'description': "Parsers for the files produced by Hytek's Meet Manager.",
    'long_description': '<div align="center" id="top">\n  <img src="https://hytek.active.com/logos/264_13_SPRT.END_HytekBannerUpdate_300x164_A.jpg" alt="Hytek Parser" />\n</div>\n\n<h1 align="center">Hytek Parser</h1>\n\n<p align="center">\n\n  [![Repository size](https://img.shields.io/github/repo-size/SwimComm/hytek-parser?style=for-the-badge)](https://github.com/SwimComm/hytek-parser)\n\n  [![License](https://img.shields.io/github/license/SwimComm/hytek-parser?style=for-the-badge)](./LICENSE.md)\n\n  [![Github issues](https://img.shields.io/github/issues/SwimComm/hytek-parser?style=for-the-badge)](https://github.com/SwimComm/hytek-parser/issues)\n\n  [![Github pull requests](https://img.shields.io/github/issues-pr/SwimComm/hytek-parser?style=for-the-badge)](https://github.com/SwimComm/hytek-parser/pulls)\n\n  ![Github stars](https://img.shields.io/github/stars/SwimComm/hytek-parser?style=for-the-badge)\n</p>\n\n## :page_with_curl: Table of contents\n- [:page_with_curl: Table of contents](#page_with_curl-table-of-contents)\n- [:dart: About](#dart-about)\n- [:sparkles: Features](#sparkles-features)\n- [:rocket: Technologies](#rocket-technologies)\n- [:white_check_mark: Requirements](#white_check_mark-requirements)\n- [:checkered_flag: Starting](#checkered_flag-starting)\n- [:memo: License](#memo-license)\n\n<br>\n\n## :dart: About ##\n\nThis is a parser for files generated by Hytek\'s Meet Manager. Currently this has been tested on files generated by Meet Manager 8.0.\n\nSupported filetypes: `hy3` (merge exports), `hyv` (entry exports), and `csv` (individual event exports).\n\n## :sparkles: Features ##\n\n:heavy_check_mark: `hy3` merge export parsing\\\n:heavy_check_mark: `hyv` entry export parsing\\\n:heavy_check_mark: `csv` header list for [`csv.DictReader`](https://docs.python.org/3/library/csv.html#csv.DictReader)\n\n## :rocket: Technologies ##\n\nThe following tools were used in this project:\n\n- [Attrs](https://www.attrs.org/en/stable/)\n- [AEnum](https://pypi.org/project/aenum/)\n\n## :white_check_mark: Requirements ##\n\nAll that you need installed is [Python](https://python.org) 3.9 or higher.\n\n## :checkered_flag: Starting ##\n\nTo install this, simply run\n\n```sh\npip install hytek_parser\n```\n\nHowever, using a virtual environment manager such as [Poetry](https://python-poetry.org) is highly recommended.\n\n## :memo: License ##\n\nThis project is under license from MIT. For more details, see the [LICENSE](LICENSE.md) file.\n\n\nMade with :heart: by <a href="https://github.com/MrAwesomeRocks" target="_blank">Nino Maruszewski</a>\n\n&#xa0;\n\n<a href="#top">Back to top</a>\n',
    'author': 'Nino Maruszewski',
    'author_email': 'nino.maruszewski@hotmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://www.github.com/SwimComm/hytek-parser',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.9,<4.0',
}


setup(**setup_kwargs)
